<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		<title>Advanced Javascript - Shashank Pai</title>

		<meta name="description" content="A presentation on advanced javascript concepts">
		<meta name="author" content="Shashank Pai">

		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/black.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/zenburn.css">

		<!-- TOC-Progress plugin -->
		<link rel="stylesheet" href="plugin/toc-progress/toc-progress.css">


		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>

		<!--[if lt IE 9]>
		<script src="lib/js/html5shiv.js"></script>
		<![endif]-->
	</head>
  <style>
		.reveal p {
			margin: 0px;
			line-height: 1em;
		}

	  .reveal pre{
  width: auto;

		}
		mark {
			background-color: rgba(255, 129, 0, 0.85);
		}



	</style>
	<body>

		<div class="reveal">

			<!-- Any section element inside of this container is displayed as a slide -->
			<div class="slides">
			

			<section data-markdown="spaced-rep.md"
				data-separator="----"
				data-separator-vertical="\n"
				data-separator-notes="^Note:"
				data-charset="iso-8859-15">
			 </section>

				
			</div>

		</div>

		<script src="lib/js/head.min.js"></script>
		<script src="js/reveal.js"></script>

		<script>

			// More info https://github.com/hakimel/reveal.js#configuration
			RR = Reveal.initialize({
				autoSlide: 5000,
				controls: true,
				progress: true,
				history: true,
				center: true,
				slideNumber: true,
				showNotes: true,

				transition: 'fade', // none/fade/slide/convex/concave/zoom

				markdown: {
					sanitize : false
				},

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [
					{ src: 'lib/js/classList.js', condition: function() { return !document.body.classList; } },
					{ src: 'plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
					{ src: 'plugin/zoom-js/zoom.js', async: true },
					{ src: 'plugin/notes/notes.js', async: true },

					// TOC-Progress plugin
					{ src: 'plugin/toc-progress/toc-progress.js', async: true, callback: function() { toc_progress.initialize(); toc_progress.create(); } }
				]
			});

		</script>

	</body>
</html>
